Bug 1323170 - python-xhtml2pdf: Provide a Python 3 subpackage
Summary: python-xhtml2pdf: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-xhtml2pdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Major Hayden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 12:38 UTC by Tomas Orsava
Modified: 2016-05-12 01:31 UTC (History)
2 users (show)

Fixed In Version: python-xhtml2pdf-0.1a2-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 01:31:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 12:38:33 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 13:14:41 UTC
Hello Major,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Major Hayden 2016-04-22 13:27:22 UTC
This is on my list of things to do!  I haven't had time to work on it yet! :)

If you have any suggestions in the meantime, please let me know.

Comment 3 Fedora Update System 2016-05-03 03:27:49 UTC
python-xhtml2pdf-0.1a2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d60c1fa9a5

Comment 4 Major Hayden 2016-05-03 03:28:29 UTC
Pushed a new package for rawhide and F24.

Comment 5 Fedora Update System 2016-05-03 11:22:57 UTC
python-xhtml2pdf-0.1a2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d60c1fa9a5

Comment 6 Tomas Orsava 2016-05-05 17:40:32 UTC
Hi Major! Thank you for taking the time!

However, there is an issue with the python2-xhtml2pdf subpackage. If you do `rpm -qp --requires` on the resulting RPM you'll find out that this Python 2 subpackage also depends on /usr/bin/python3 for some reason.

In most cases this is simply a wrong shebang on top of one of the files. If you'd like more information, there's a section of the Porting Guide [0] about dealing with shebangs, though it's dealing with the reverse problem—Python 2 dependency in a Python 3 subpackage.

[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Have a great day!

Comment 7 Major Hayden 2016-05-05 18:18:55 UTC
Thanks for letting me know. I'm looking at the package now.

Comment 8 Major Hayden 2016-05-05 19:05:19 UTC
Tomas -- I think I have it fixed now, but the dependency, python-PyPDF2, doesn't have Python 3 support packaged.  Luckily, that's one I maintain, so I'll get started on it. ;)

Comment 9 Tomas Orsava 2016-05-06 15:06:45 UTC
That would be most splendid, thank you and good hunting!

Comment 10 Fedora Update System 2016-05-12 01:31:42 UTC
python-xhtml2pdf-0.1a2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.